

#ifndef XANIMDYNAMICFRAMES_H
#define XANIMDYNAMICFRAMES_H

#include "xasset.h"

class XAnimDynamicFrames : public XAsset
{
public:
    explicit XAnimDynamicFrames();

    void ParseData(QDataStream *aStream) override;

    quint32 GetFramesPtr() const;
    void SetFramesPtr(quint32 ptr);

    const quint8* GetFrames() const;
    void SetFrames(const quint8* frames, size_t count = 3);

private:
    quint32 mFramesPtr = 0;
    quint8 mFrames[3] = {0};
};

#endif // XANIMDYNAMICFRAMES_H

